Forum Linux Mint Polska

Autor Wątek: Virtualbox - błąd instalacji. libssl0.9.8 (>= 0.9.8m-1) libhal1 libsdl-ttf2.0-0  (Przeczytany 1844 razy)

Offline navybluefocus

  • Miętowe nasionko
  • *
  • Wiadomości: 8
  • Punkty: -1
  • Środowisko graficzne: Cinnamon
  • Wersja systemu: Linux Mint 17
Witam,
Wczoraj zainstalowałem LMDE, wcześniej długi czas korzystałem z minta.
Przy próbie instalacji Virtualboxa spotkało mnie niemiłe zaskoczenie - w menadżerze oprogramowania instalacja nie rusza.
Kiedy wrzuciłem poniższą komendę do konsoli okazało się, że są pewne niespełnione zależności, których system nie chce zainstalować.

sudo aptitude install --with-recommends virtualbox-nonfree

Następujące NOWE pakiety zostaną zainstalowane:
  virtualbox-4.0{ab} virtualbox-nonfree
Następujące pakiety POLECANE przez inne NIE zostaną zainstalowane:
  libhal1 libsdl-ttf2.0-0
0 pakietów aktualizowanych, 2 instalowanych, 0 do usunięcia i 0 nieaktualizowanych.
Do pobrania 60,1 MB archiwów. Zajęte po rozpakowaniu: 115 MB.
Następujące pakiety mają niespełnione zależności:
 virtualbox-4.0 : Wymaga: libssl0.9.8 (>= 0.9.8m-1) który jest pakietem wirtualnym.
Następujące działania rozwiążą problemy z zależnościami:

     Zatrzymanie bieżących wersji następujących pakietów:
1)     virtualbox-4.0 [niezainstalowany]                 
2)     virtualbox-nonfree [niezainstalowany]             



Zaakceptować rozwiązanie? [Y/n/q/?] n

*** Nie ma więcej rozwiązań ***
Czy ktoś mógłby doradzić jak ręcznie doinstalować te pakiety?

WSZELKIE WYNIKI Z KONSOLI WKLEJAMY MIEDZY ZNACZNIKI code! PROSZĘ CZYTAĆ REGULAMIN! ~moarcode
« Ostatnia zmiana: Listopad 24, 2014, 09:18:17 am wysłana przez moarcode »

Offline moarcode

  • Siewca hejtu
  • Globator Moderalny
  • Spamerzy
  • *******
  • Wiadomości: 1800
  • Punkty: 1000
  • Płeć: Mężczyzna
  • 1, 2,3 próba klawiatury.
  • Środowisko graficzne: Inne
  • Wersja systemu: Linux Mint 17.1
Odp: Virtualbox - błąd instalacji. libssl0.9.8 (>= 0.9.8m-1) libhal1 libsdl-ttf2.0-0
« Odpowiedź #1 dnia: Listopad 24, 2014, 09:19:45 am »
Proponuję nacisnąć 'y' i potem enter.
Look closer, fall deeper.

Offline navybluefocus

  • Miętowe nasionko
  • *
  • Wiadomości: 8
  • Punkty: -1
  • Środowisko graficzne: Cinnamon
  • Wersja systemu: Linux Mint 17
Odp: Virtualbox - błąd instalacji. libssl0.9.8 (>= 0.9.8m-1) libhal1 libsdl-ttf2.0-0
« Odpowiedź #2 dnia: Listopad 24, 2014, 11:15:57 am »
Dzięki za jakże szybką i błyskotliwą odpowiedź - tak jak widać w  poście proponowane przez instalator rozwiązania to anulowanie instalacji:)

Po dodaniu deb http://ftp.de.debian.org/debian squeeze main do listy rep. możliwe jest zainstalowanie nowej wersji libssl0.9.8.

Niestety po próbie instalacji bez rekomendowanych pakietów i tak jest problem.
sudo aptitude install  virtualbox-nonfree

Następujące NOWE pakiety zostaną zainstalowane:   
  virtualbox-4.0{ab} virtualbox-nonfree
Następujące częściowo zainstalowane pakiety zostaną skonfigurowane:
  virtualbox virtualbox-dkms
Następujące pakiety POLECANE przez inne NIE zostaną zainstalowane:
  libhal1 libsdl-ttf2.0-0 linux-headers-2.6-amd64
  linux-headers-2.6-openvz-amd64 linux-headers-2.6-vserver-amd64
  linux-headers-2.6-xen-amd64 linux-headers-2.6.32-5-amd64
  linux-headers-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-vserver-amd64
  linux-headers-2.6.32-5-xen-amd64
0 pakietów aktualizowanych, 2 instalowanych, 0 do usunięcia i 0 nieaktualizowanych.
Do pobrania 0 B/60,1 MB archiwów. Zajęte po rozpakowaniu: 115 MB.
Następujące pakiety mają niespełnione zależności:
 virtualbox-4.0 : W konflikcie z: virtualbox ale zainstalowana jest wersja 4.2.16-dfsg-3+b1.
Następujące działania rozwiążą problemy z zależnościami:

     Usunięcie następujących pakietów:
1)     virtualbox                     
2)     virtualbox-dkms               



Zaakceptować rozwiązanie? [Y/n/q/?] y
Następujące NOWE pakiety zostaną zainstalowane:
  virtualbox-4.0{a} virtualbox-nonfree
Następujące pakiety zostaną USUNIĘTE:
  virtualbox{a} virtualbox-dkms{a}
Następujące pakiety POLECANE przez inne NIE zostaną zainstalowane:
  libhal1 libsdl-ttf2.0-0 linux-headers-2.6-amd64
  linux-headers-2.6-openvz-amd64 linux-headers-2.6-vserver-amd64
  linux-headers-2.6-xen-amd64 linux-headers-2.6.32-5-amd64
  linux-headers-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-vserver-amd64
  linux-headers-2.6.32-5-xen-amd64
0 pakietów aktualizowanych, 2 instalowanych, 2 do usunięcia i 0 nieaktualizowanych.
Do pobrania 0 B/60,1 MB archiwów. Zajęte po rozpakowaniu: 61,8 MB.
Kontynuować? [Y/n/?] y
Prekonfiguracja pakietów ...                     
(Odczytywanie bazy danych ... 171437 plików i katalogów obecnie zainstalowanych.)
Usuwanie pakietu virtualbox-dkms ...
Usuwanie pakietu virtualbox ...
[ ok ] Stopping VirtualBox kernel modules.
Przetwarzanie wyzwalaczy pakietu man-db...
Wybieranie wcześniej niewybranego pakietu virtualbox-4.0.
(Odczytywanie bazy danych ... 171034 pliki i katalogi obecnie zainstalowane.)
Rozpakowywanie pakietu virtualbox-4.0 (z .../virtualbox-4.0_4.0.6-71344~Ubuntu~natty_amd64.deb) ...
Wybieranie wcześniej niewybranego pakietu virtualbox-nonfree.
Rozpakowywanie pakietu virtualbox-nonfree (z .../virtualbox-nonfree_4.0_all.deb) ...
Przetwarzanie wyzwalaczy pakietu shared-mime-info...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Przetwarzanie wyzwalaczy pakietu gnome-menus...
Przetwarzanie wyzwalaczy pakietu desktop-file-utils...
Przetwarzanie wyzwalaczy pakietu mime-support...
Przetwarzanie wyzwalaczy pakietu hicolor-icon-theme...
Konfigurowanie pakietu virtualbox-4.0 (4.0.6-71344~Ubuntu~natty) ...
addgroup: Grupa "vboxusers" już istnieje jako grupa systemowa. Kończenie.
insserv: script virtualbox: service vboxdrv already provided!
insserv: script virtualbox: service virtualbox already provided!
[ ok ] Stopping VirtualBox kernel modules:.
[ ok ] Uninstalling old VirtualBox DKMS kernel modules:.
[....] Trying to register the VirtualBox kernel modules using DKMS:Error! Bad return status for module build on kernel: 3.11-2-amd64 (x86_64)
Consult /var/lib/dkms/vboxhost/4.0.6/build/make.log for more information.

[FAIL] Failed, trying without DKMS ... failed!
[....] Recompiling VirtualBox kernel modules:
[FAIL] Look at /var/log/vbox-install.log to find out what went wrong ... failed!
insserv: script virtualbox: service vboxdrv already provided!
insserv: script virtualbox: service virtualbox already provided!
insserv: script virtualbox: service vboxdrv already provided!
insserv: script virtualbox: service virtualbox already provided!
Przetwarzanie wyzwalaczy pakietu python-central...
Konfigurowanie pakietu virtualbox-nonfree (4.0) ...
                                                 
$ sudo aptitude install --with-recommends  virtualbox-nonfree
Nie zostaną zainstalowane, zaktualizowane ani usunięte żadne pakiety.
0 pakietów aktualizowanych, 0 instalowanych, 0 do usunięcia i 0 nieaktualizowanych.
Do pobrania 0 B archiwów. Zajęte po rozpakowaniu: 0 B.

Przy próbie instalacji poniższych pakietów przez synaptic pojawiają się konflikty.
 libhal1 -OK
 libsdl-ttf2.0-0 - OK
 linux-headers-2.6-amd64  - błąd
 linux-headers-2.6-openvz-amd64 - błąd
 linux-headers-2.6-vserver-amd64  - błąd
 linux-headers-2.6-xen-amd64 - błąd
 linux-headers-2.6.32-5-amd64 - błąd
 linux-headers-2.6.32-5-openvz-amd64 - błąd
 linux-headers-2.6.32-5-vserver-amd64 - błąd
 linux-headers-2.6.32-5-xen-amd64 - błąd

Będę wdzięczny jeżeli komuś chciałoby się na to rzucić okiem.
Jestem newbie ale podobno liczą się chęci.

Po odisnstalowaniu pakietu virtualbox-4.0 przez apt-get purge próbowałem zainstalować virtualbox-nonfree ponownie.
sudo apt-get install virtualbox-nonfree
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Zostaną zainstalowane następujące dodatkowe pakiety:
  libssl0.9.8 virtualbox-4.0
Polecane pakiety:
  linux-headers
Zostaną zainstalowane następujące NOWE pakiety:
  libssl0.9.8 virtualbox-4.0 virtualbox-nonfree
0 aktualizowanych, 3 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
Konieczne pobranie 0 B/61,1 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 118 MB miejsca na dysku.
Kontynuować? [T/n] T
Prekonfiguracja pakietów ...
Wybieranie wcześniej niewybranego pakietu libssl0.9.8.
(Odczytywanie bazy danych ... 171030 plików i katalogów obecnie zainstalowanych.)
Rozpakowywanie pakietu libssl0.9.8 (z .../libssl0.9.8_0.9.8o-4squeeze14_amd64.deb) ...
Wybieranie wcześniej niewybranego pakietu virtualbox-4.0.
Rozpakowywanie pakietu virtualbox-4.0 (z .../virtualbox-4.0_4.0.6-71344~Ubuntu~natty_amd64.deb) ...
Wybieranie wcześniej niewybranego pakietu virtualbox-nonfree.
Rozpakowywanie pakietu virtualbox-nonfree (z .../virtualbox-nonfree_4.0_all.deb) ...
Przetwarzanie wyzwalaczy pakietu shared-mime-info...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Przetwarzanie wyzwalaczy pakietu gnome-menus...
Przetwarzanie wyzwalaczy pakietu desktop-file-utils...
Przetwarzanie wyzwalaczy pakietu mime-support...
Przetwarzanie wyzwalaczy pakietu hicolor-icon-theme...
Konfigurowanie pakietu libssl0.9.8 (0.9.8o-4squeeze14) ...
Konfigurowanie pakietu virtualbox-4.0 (4.0.6-71344~Ubuntu~natty) ...
addgroup: Grupa "vboxusers" już istnieje jako grupa systemowa. Kończenie.
insserv: script virtualbox: service vboxdrv already provided!
insserv: script virtualbox: service virtualbox already provided!
[ ok ] Stopping VirtualBox kernel modules:.
[ ok ] Uninstalling old VirtualBox DKMS kernel modules:.
[....] Trying to register the VirtualBox kernel modules using DKMS:Error! Bad return status for module build on kernel: 3.11-2-amd64 (x86_64)
Consult /var/lib/dkms/vboxhost/4.0.6/build/make.log for more information.

[FAIL] Failed, trying without DKMS ... failed!
[....] Recompiling VirtualBox kernel modules:
[FAIL] Look at /var/log/vbox-install.log to find out what went wrong ... failed!
insserv: script virtualbox: service vboxdrv already provided!
insserv: script virtualbox: service virtualbox already provided!
insserv: script virtualbox: service vboxdrv already provided!
insserv: script virtualbox: service virtualbox already provided!
Przetwarzanie wyzwalaczy pakietu python-central...
Konfigurowanie pakietu virtualbox-nonfree (4.0) ...
Przetwarzanie wyzwalaczy pakietu libc-bin...


make.log
DKMS make.log for vboxhost-4.0.6 for kernel 3.11-2-amd64 (x86_64)
pon, 24 lis 2014, 11:22:12 CET
make: Wejście do katalogu `/usr/src/linux-headers-3.11-2-amd64'
  LD      /var/lib/dkms/vboxhost/4.0.6/build/built-in.o
  LD      /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/built-in.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/linux/SUPDrv-linux.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/SUPDrv.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/SUPDrvSem.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/alloc-r0drv.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/initterm-r0drv.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/memobj-r0drv.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/mpnotification-r0drv.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/powernotification-r0drv.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/linux/assert-r0drv-linux.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/linux/alloc-r0drv-linux.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/linux/initterm-r0drv-linux.o
  CC [M]  /var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/linux/memobj-r0drv-linux.o
/var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/linux/memobj-r0drv-linux.c: In function ‘rtR0MemObjLinuxDoMmap’:
/var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/linux/memobj-r0drv-linux.c:1060:9: error: implicit declaration of function ‘do_mmap’ [-Werror=implicit-function-declaration]
         ulAddr = do_mmap(NULL, R3PtrFixed, cb, fLnxProt, MAP_SHARED | MAP_ANONYMOUS | MAP_FIXED, 0);
         ^
/var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/linux/memobj-r0drv-linux.c: In function ‘rtR0MemObjNativeMapUser’:
/var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/linux/memobj-r0drv-linux.c:1324:38: error: ‘VM_RESERVED’ undeclared (first use in this function)
                     vma->vm_flags |= VM_RESERVED; /* This flag helps making 100% sure some bad stuff wont happen (swap, core, ++). */
                                      ^
/var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/linux/memobj-r0drv-linux.c:1324:38: note: each undeclared identifier is reported only once for each function it appears in
cc1: some warnings being treated as errors
make[4]: *** [/var/lib/dkms/vboxhost/4.0.6/build/vboxdrv/r0drv/linux/memobj-r0drv-linux.o] Błąd 1
make[3]: *** [/var/lib/dkms/vboxhost/4.0.6/build/vboxdrv] Błąd 2
make[2]: *** [_module_/var/lib/dkms/vboxhost/4.0.6/build] Błąd 2
make[1]: *** [sub-make] Błąd 2
make: *** [all] Błąd 2
make: Opuszczenie katalogu `/usr/src/linux-headers-3.11-2-amd64'

Cały czas jest problem z linux-headers.
Jeszcze raz z góry dzięki za pomoc;)
« Ostatnia zmiana: Listopad 24, 2014, 11:29:25 am wysłana przez navybluefocus »

Offline moarcode

  • Siewca hejtu
  • Globator Moderalny
  • Spamerzy
  • *******
  • Wiadomości: 1800
  • Punkty: 1000
  • Płeć: Mężczyzna
  • 1, 2,3 próba klawiatury.
  • Środowisko graficzne: Inne
  • Wersja systemu: Linux Mint 17.1
Odp: Virtualbox - błąd instalacji. libssl0.9.8 (>= 0.9.8m-1) libhal1 libsdl-ttf2.0-0
« Odpowiedź #3 dnia: Listopad 24, 2014, 11:22:48 am »
https://wiki.debian.org/VirtualBox

Drugi raz przypominam Ci o znacznikach code.
Look closer, fall deeper.

Offline navybluefocus

  • Miętowe nasionko
  • *
  • Wiadomości: 8
  • Punkty: -1
  • Środowisko graficzne: Cinnamon
  • Wersja systemu: Linux Mint 17
Odp: Virtualbox - błąd instalacji. libssl0.9.8 (>= 0.9.8m-1) libhal1 libsdl-ttf2.0-0
« Odpowiedź #4 dnia: Listopad 24, 2014, 11:30:21 am »
https://wiki.debian.org/VirtualBox

Drugi raz przypominam Ci o znacznikach code.
Pierwszej nie widziałem, przepraszam użyłem opcji szybka odpowiedź.

Offline mati75

  • Rodzina Linux Mint
  • Administrator
  • Spamerzy
  • *******
  • Wiadomości: 2381
  • Punkty: 25121
  • Płeć: Mężczyzna
    • >>>Click me!<<<
  • Wersja systemu: Inny
Odp: Virtualbox - błąd instalacji. libssl0.9.8 (>= 0.9.8m-1) libhal1 libsdl-ttf2.0-0
« Odpowiedź #5 dnia: Listopad 24, 2014, 15:22:59 pm »
Ale przekombinowane. Proponuje się zapoznać z tym:

http://forum.linuxmint.pl/index.php?topic=5704.0

υωαgα α∂мιи !!! вαиαмι иαριєя∂αℓα !!!